<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SPRINT}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SPRINT}}"></span>
    </h2>
    <br />
    <form class="ui form" id="sprints-form" th:object="${sprint}" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SPRINTS_SAVE}}">
      <input type="hidden" th:field="*{id}" />
      <input id="minDate" th:if="${minDate} != null" th:value="${minDate}" type="hidden" />
      <input id="maxDate" th:if="${maxDate} != null" th:value="${maxDate}" type="hidden" />
      <div class="ui grid">
        <div class="row">
          <div class="eight wide column">
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
	                                                              field = 'name', 
	                                                              required = true, 
	                                                              maxlength = 80, 
	                                                              placeholder = '', 
	                                                              errormessage = ${#fields.errors('name')},
	                                                              columnsize = ''
	                                                              )" />
          </div>
          <div class="eight wide column">
            <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}, 
                                                                         field = 'team', 
                                                                         options = ${teams},
                                                                         optionfield = 'item.name',
                                                                         required = true,
                                                                         columnsize = '',
                                                                         emptyoption = true
                                                                         )" />
          </div>
        </div>
        <div class="row">
	        <div class="eight wide column">
	        
	        	<th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}, 
						                                                   field = 'estimatedStart', 
						                                                   required = true,
						                                                   value = ${#dates.format(sprint.estimatedStart, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
						                                                   placeholder = 'Choose the day',
						                                                   columnsize = ''
						                                                   )" />
	        </div>
			<div class="eight wide column">						                                                   	
	       		<th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}, 
						                                                   field = 'estimatedEnd', 
						                                                   required = true,
						                                                   value = ${#dates.format(sprint.estimatedEnd, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
						                                                   placeholder = 'Choose the day',
						                                                   columnsize = ''
						                                                   )" />
	        
	        </div>
        </div>
         <div class="row">
         	<div class="column">
         		<th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_GOAL}}, 
	                                                              field = 'goal', 
	                                                              required = false, 
	                                                              placeholder = '', 
	                                                              columnsize = '',
	                                                              maxlength = 400
	                                                              )" />
         	</div>
         </div>

      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SPRINTS},
                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      icon2url = ''
                                                                      )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SPRINTS_JS}}"></script>
</body>
</html>
